Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354615 - RubyRep replication in CFME 5.5.3.4 failing in large multi region environment
Summary: RubyRep replication in CFME 5.5.3.4 failing in large multi region environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication
Version: 5.5.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.5.5
Assignee: Nick Carboni
QA Contact: Alex Newman
URL:
Whiteboard: replication
Depends On: 1348576
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 17:42 UTC by John Prause
Modified: 2017-02-03 04:34 UTC (History)
13 users (show)

Fixed In Version: 5.5.5.2
Doc Type: Bug Fix
Doc Text:
Rubyrep replication in CloudForms Management Engine 5.5.3.4 failed in large, multi-region environments. This occurred because Rubyrep opened one transaction per 1000 rows, plus another transaction for each change it replicated. If one transaction failed for any reason, the other transaction would be aborted, because PostgreSQL does not support nested transactions. As a result, the replication process timed out because SQL could not be processed in the aborted transaction. Rubyrep now includes a nested transaction fix, and replication works as expected.
Clone Of: 1348576
Environment:
Last Closed: 2016-07-26 15:36:37 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 2 CFME Bot 2016-07-11 19:50:37 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a539185f6b825b23c1d32439cb924a3594134949

commit a539185f6b825b23c1d32439cb924a3594134949
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Jul 11 14:16:45 2016 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Jul 11 14:16:45 2016 -0400

    Bump rubyrep gem version to include nested transaction fix
    
    Manually wrote backport becaus of version difference in the gem
    Upstream PR: https://github.com/ManageIQ/manageiq/pull/9629
    Gem fix: https://github.com/ManageIQ/rubyrep/pull/9
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1354615

 Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 CFME Bot 2016-07-11 19:50:42 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8df4a617a2712d66b8e8a3cf54091ee290ad853b

commit 8df4a617a2712d66b8e8a3cf54091ee290ad853b
Merge: e27b959 a539185
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Jul 11 15:36:25 2016 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Mon Jul 11 15:36:25 2016 -0400

    Merge branch 'backport_rubyrep_transaction_fix' into '5.5.z'
    
    Bump rubyrep gem version to include nested transaction fix
    
    Manually wrote backport becaus of version difference in the gem
    
    Upstream PR: https://github.com/ManageIQ/manageiq/pull/9629
    
    Gem fix: https://github.com/ManageIQ/rubyrep/pull/9
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1354615
    
    See merge request !1004

 Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 errata-xmlrpc 2016-07-26 15:36:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.